version: '3.5'

services:
  stress:
    hostname: test
    image: registry.edoc2.com:5000/edoc2v5/ecm_stress:test
    volumes:
      #mkdir -p /opt/StressTestData/consul grafana1 grafana2 jenkins_home prometheus test
      - /home/edoc2/macrowing/edoc2v5/StressTest/web/last/data/test:/opt/test
      - /home/edoc2/macrowing/edoc2v5/StressTest/web/last/data/grafana1:/etc/grafana
      - /home/edoc2/macrowing/edoc2v5/StressTest/web/last/data/grafana2:/var/lib/grafana
      - /home/edoc2/macrowing/edoc2v5/StressTest/web/last/data/jenkins_home:/var/jenkins_home
      - /home/edoc2/macrowing/edoc2v5/StressTest/web/last/data/prometheus:/opt/prometheus
      - /home/edoc2/macrowing/edoc2v5/StressTest/web/last/data/consul:/opt/consul
    ports:
      - "8084:8080"
      - "18084:18080"
#      - "3000:3000"
#      - "9090:9090"
#      - "8500:8500"
#      - "8101:8101"
    labels:
      "type": "1"
    environment:
      - TZ=Asia/Shanghai
      - HOST_IP=192.168.251.158
    deploy:
      replicas: 1
      restart_policy:
        condition: on-failure
